## pypoint 3.0.1

=== Makefile ===
ifndef version
	version = patch
endif

.PHONY: default format white black lint test check clean pypireg pypi release

default: check

check:
	pre-commit run --all

clean:
	rm -f *.pyc
	rm -rf .tox
	rm -rf *.egg-info
	rm -rf __pycache__ pypoint/__pycache__
	rm -f pip-selfcheck.json
	rm -rf pytype_output

pypireg:
	python setup.py register -r pypi

pypi:
	rm -f dist/*.tar.gz
	python3 setup.py sdist
	twine upload dist/*.tar.gz

release:
	git diff-index --quiet HEAD --
	make check
	bumpversion $(version)
	git push --tags
	git push
	make pypi

=== debian/changelog ===
pypoint (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 13 Oct 2024 16:21:14 +0100

pypoint (3.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 11 Oct 2024 22:05:20 +0100

pypoint (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1084896)

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 16:10:48 +0100

=== debian/control ===
Source: pypoint
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/fredrike/pypoint
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pypoint
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pypoint.git

Package: python3-pypoint
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: API for Minut Point
 This library provides an integration with Minut Point, enabling communication
 with its cloud services. It offers a way to monitor various sensor readings
 and perform actions such as arming or disarming the home alarm system. The
 library communicates with Minut's cloud to provide real-time updates on sensor
 data, including temperature, humidity, motion detection, and noise levels.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypoint

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pypoint.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pypoint-$1\.tar\.gz/ \
  https://github.com/fredrike/pypoint/tags .*/v?(\d\S+)\.tar\.gz
